org.jetlang.remote.core

## Class JavaSerializer

- java.lang.Object
- - org.jetlang.remote.core.JavaSerializer

All Implemented Interfaces:
  Serializer

    public class JavaSerializer
    extends Object
    implements Serializer

User: mrettig Date: 4/6/11 Time: 10:53 AM

### Nested Class Summary

Nested Classes
`static class` `JavaSerializer.Factory`

### Constructor Summary

Constructors
Constructor and Description
`JavaSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectByteReader` `getReader()`
`ObjectByteWriter` `getWriter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaSerializer

    public JavaSerializer()

### Method Detail

#### getWriter

    public ObjectByteWriter getWriter()

Specified by:
  `getWriter` in interface `Serializer`

#### getReader

    public ObjectByteReader getReader()

Specified by:
  `getReader` in interface `Serializer`